
QGIS Application - Bug report #14552

ELSE rule results in "syntax error, unexpected ELSE"

2016-03-23 09:58 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22525

Description

When working with rule based styling the ELSE rule is very useful.

In 2.14 (tested on windows and linux) this does not work, and when "testing" the filter it results in a syntax error.

Tested both for rule based styles and rule based labels.

History

#1 - 2016-03-23 10:20 AM - Klas Karlsson

- Status changed from Open to Closed

Seems to be an issue when the "test" button is used and not affecting the result of the filter.

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
